# Changelog

### 2024-08-06

* Businesses can now choose which specific network they want to allow for any of the deposit currencies. This applies to currencies where multiple deposit networks are supported.

### 2024-07-04

* Added the ability to configure which party is responsible for covering the on-chain fees when sending out a settlement. This can be configured once for all withdrawals created from a given business on each individual withdrawal.

### 2024-05-29

* Added the ability to require an approval from a second user before sending out a withdrawal. This configuration is made once for each organisation and applies to all subsequently sent withdrawals.

### 2024-05-16

* `Solana` has been added as supported network for crypto withdrawals and deposit for `USDC.` Furthermore we also added `SOL` as deposit and withdrawal currency.

### 2024-04-01

* Added the withdrawal approvals feature allowing admin users to have additional control over crypto withdrawals by manually approving or rejecting them.

### 2023-06-16

* Adding statuses to deposits in payments. Changes to the response are visible under [Get payment data.](https://docs.naewe.com/references/crypto-payments/get-deposit-data)

### 2023-02-09

* Adding a network field as a mandatory one to the post request for whitelisted address creation. Currencies and networks pairs available are the same as for our [withdrawals](https://docs.naewe.com/references/crypto-withdrawals/initiate-withdrawal-request#supported-networks).

### 2022-09-26

* Introducing deposits through side chains. To take advantage of this new feature changes should be made to either the Request crypto payment or the Add payment details payload.

**List of currencies and their supported deposit networks**

| Currency | Network                                                              |
| -------- | -------------------------------------------------------------------- |
| USDC     | Ethereum chain (ETH), Binance Smart Chain (BSC) and Tron Chain (TRX) |
| ETH      | Ethereum chain (ETH) and Binance Smart Chain (BSC)                   |
| USDT     | Ethereum chain (ETH), Binance Smart Chain (BSC) and Tron Chain (TRX) |
| BTC      | BTC                                                                  |
| BCH      | BCH                                                                  |
| LTC      | LTC                                                                  |
| XRP      | XRP                                                                  |
| XLM      | XLM                                                                  |
| LINK     | ETH                                                                  |

### 2022-08-21

* Changes to the accepted values for the network field for [crypto withdrawals](https://docs.naewe.com/references/crypto-withdrawals)
  * `MAIN` is no longer a valid value for the network field instead, use one of the values described on the Request crypto withdrawal page.
  * Added a maximum amount the can be withdrawaln depending on the network and the respective cryptocurrency. Information can be found in the [metadata endpoint](https://docs.naewe.com/references/crypto-withdrawals/request-withdrawal-metadata).
* Different response fields when sending [payment details](https://docs.naewe.com/references/crypto-payments/submit-deposit-data). For payments with `LTC` as their `depositCurrency` the response will only include a `walletAddress` field. We are removing the `ltc3Address`field and changing the address type that is returned in the `walletAddress`.
* Changes to our [metadata endpoint](https://docs.naewe.com/references/crypto-withdrawals/request-withdrawal-metadata).
  * Added a new field `maxAmount` to the response. It will hold the maximum amount that can be withdrawn in the respective cryptocurrency.
  * The changes to network names that are described on the [crypto withdrawals](https://docs.naewe.com/references/crypto-withdrawals/initiate-withdrawal-request) page will also take affect here (see table below and [example response](https://docs.naewe.com/references/crypto-withdrawals/request-withdrawal-metadata)).
* Changes to the network field in the [validate address](https://docs.naewe.com/references/crypto-addresses/validate-address) endpoint

#### List of currencies and their old/new supported withdrawal networks <a href="#supported-networks" id="supported-networks"></a>

<table><thead><tr><th>Currency</th><th>Supported networks (From 2022-08-15)</th><th>Supported networks (To 2022-08-15)</th><th data-hidden></th></tr></thead><tbody><tr><td>BTC</td><td>BTC</td><td>MAIN</td><td></td></tr><tr><td>BCH</td><td>BCH</td><td>MAIN</td><td></td></tr><tr><td>ETH</td><td>ETH, BSC</td><td>MAIN, BSC</td><td></td></tr><tr><td>LINK</td><td>ETH</td><td>MAIN, BSC</td><td></td></tr><tr><td>LTC</td><td>LTC</td><td>MAIN</td><td></td></tr><tr><td>USDC</td><td>ETH, BSC, TRX</td><td>not supported</td><td></td></tr><tr><td>USDT</td><td>ETH, BSC, TRX</td><td>MAIN, BSC, TRX</td><td></td></tr><tr><td>XLM</td><td>XLM</td><td>MAIN</td><td></td></tr><tr><td>XRP</td><td>XRP</td><td>MAIN</td><td></td></tr></tbody></table>

### 2022-06-30

#### Reducing the list of supported currencies

* Naewe will cease processing (deposits and withdrawals) of the following currencies **as of 2022-07-15**:

```
Basic Attention Token (BAT),
Bancor (BNT),
Civic (CVC),
Enjin Coin (ENJ),
Mithril (MITH),
Metal (MTL),
OmiseGo (OMG),
Augur (REP)
```

Reason for delisting is low processing volumes and low liquidity on the markets.

### 2022-05-19

* [Withdrawal ](https://docs.naewe.com/references/crypto-withdrawals/initiate-withdrawal-request)request body and response body
  * New supported network - `TRX`

### 2022-05-09

* [Withdrawal ](https://docs.naewe.com/references/crypto-withdrawals/initiate-withdrawal-request)request body and response body
  * New optional field for the request body - `network`
  * New field in the response body - `network`
* [Get cryptocurrency metadata](https://docs.naewe.com/references/crypto-withdrawals/request-withdrawal-metadata)
  * New endpoint that provides metadata for all supported cryptocurrencies
* [Validate address](https://docs.naewe.com/references/crypto-addresses/validate-address#validate-address-1)
  * We are deprecating the old endpoint and introducing a new one:
    * `POST /api/v1/addresses/validate` is being **Deprecated**
    * `GET /api/v1/currency/:withdrawalCurrency/network/:network/address/:address/valid` - **New**
* [Exchange rates](https://docs.naewe.com/references/currencies-and-fees/get-exchange-rates-any-currency-to-any-currency) for any currency
  * New endpoint that provides rates for currencies(fiat and crypto) and supports comma-separated values.

### 2021-11-08

* [Withdrawal callback](https://docs.naewe.com/references/callbacks/withdrawal-completed) request body
  * New status -`BLOCKED`
  * New field - `txAddressOwner`
* [Get business withdrawals ](https://docs.naewe.com/references/business/get-business-withdrawals)response
  * New status - `BLOCKED`
  * New fields - `addressOwner`, `sourceRiskEntities`, `destinationRiskEntities`
